Optgeo: historique des versions
compatibilité des fichiers de simulation
désinstallation des versions Windows
installation réseau Windows

Historique des versions

Version 2.23 du 24/10/2015

- Correction d'un bug qui emp^échait le bon fonctionnement lorsque le dossier d'installation contenait des caractères accentués

Version 2.22 du 20/08/2015

- Correction d'un bug qui affectait la version Windows uniquement: si les fichiers .opt étaient associés avec Optgeo et ouverts par double-clic sur le fichier .opt, la palette flottante n'pparaissait pas.

-Version 2.21 du 02/12/2013

- Correction d'un bug: modification des longueurs d'onde non pris en compte dans le menu "options", "indice du milieu ambiant et longueurs d'onde"; et non enregistrées avec la simulation.

-Version 2.20 du 30/11/2013

- Ajout de l'objet réseau diffractant

- modif du répertoire d'accueil des simulations pour qu'il ne soit pas caché par défaut sous linux et OSX:

    /home/${USER}/MesSimulations sous linux
    Mes Documents\MesSimulations sous windows
    /Users/user/MesSimulations sous Mac OSX

- compilable avec Lazarus 1.0

- correction du bug de refus d'ouverture ou de sauvegarde depuis un dossier comportant des caractères accentués

-Version 2.15 du 24/11/2012

- La version anglaise de l'interface est désormais achevée: un grand merci à Robert Steed pour son travail !

-Version 2.14 du 20/11/2012

- Correction d'un bug: lorsque les indices du milieu ambiant étaient modifiés, il n'en était pas tenu compte lors de la sortie des rayons des matériaux !

-Version 2.13 du 23/08/2012

- Correction d'un bug (le dernier j'espère) pouvant affecter la détection de la langue du système d'exploitation.

-Version 2.12 du 11/08/2012

- Correction d'un bug sous linux concernant le changement de langue à l'éxécution, et meilleure détection de la langue du système d'exploitation (si optgeo traduit dans cette langue).
- English translation: ~60%

-Version 2.11 du 01/01/2012

- Modification des répertoires:
le répertoire de configuration d'optgeo est maintenant :

    /home/${USER}/.config/optgeo sous linux
    %appdata%\optgeo sous windows
    /Users/user/.config/optgeo sous Mac OSX

    - Démarrage sous la langue du système d'exploitation (à condition que optgeo soit traduit dans cette langue).

-Version 2.10 du 19/10/2011

- Correction de plusieurs bugs importants dans l'objet polycercle: changements intempestifs de forme en cours de déplacement, intersections impossibles acceptées à la construction, mauvaise détermination de l'indice.

-Version 2.05 du 05/10/2011

- Modification de l'objet "polycercle" pour qu'il accepte de n'avoir que deux points, afin de créer des lentilles plan-convexe proprement.
- Correction bug: l'extension .opt n'était plus rajoutée lors de la sauvegarde.

-Version 2.04 du 13/02/2011

- Ajout de la possibilité de superposer plusieurs simulations; pour la dernière chargée, une création de groupe se fait automatiquement.
- Ajout d'un bouton "grouper tout"

-Version 2.03 du 02/11/2010

- Ajout de la possibilité la simulation au format vectoriel PostScript (fichier .ps).

-Version 2.02 du 02/10/2010

- Correction d'un bug d'affichage dans la fenêtre des propriétés de la sphère réfractante.

-Version 2.01 du 16/07/2010

- Ajout de la possibilité de changer les indices du milieu "ambiant" (celui dans lequel plnge la simulation)

-Version 2.00 bêta 4 du 08/05/2010

- Correction d'un bug bloquant dans l'affichage des angles débordant de l'espace de travail
- Correction d'un bug de calcul des rayons en présence de prismes et d'autres surfaces réfractantes en recouvrement
- Correction d'un bug empêchant l'ouverture de fichiers dont le nom contient des caractères accentués dans la version Windows.

-Version 2.00 bêta 3 du 12/03/2010

-Version prête pour l'internationalisation: menu Options, Langue.
- Pour le moment, il n'y a qu'un début de traduction en anglais.
- Je cherche des volontaires pour la traduction. Pour traduire, c'est très facile; par exemple pour l'espagnol (es), il faut compléter dans le fichier optgeo.es.po qui est dans le repertoire \lang toutes les lignes contenant msgstr " ". Pas besoin de recompiler Optgeo. Pour traduire l'aide, il faut traduire les fichiers html qui sont dans le sous-repertoire du repertoire aide (par exemple \aide\es pour l'espagnol.

-Version 2.00 bêta 2 du 10/02/2010

-Modification version Linux uniquement: résolution du problème de lenteur de déplacement des objets sous Linux/GTK2.

-Version 2.00 bêta 1 du 08/02/2010

-1ère version écrite en Lazarus

- ajout d'un objet "prisme" (avec en particulier rotation autour du centre d'inertie)

-lors de la sélection d'un point correspondant à plusieurs points possibles, le programme propose de choisir

- modification de l'interface: regroupement des boutons sur une palette

-correction de bugs dans les polycercles

- les fichiers .rtf de commentaires sont remplacés par des fichiers .txt moins riches mais multi plateforme

- les fichiers .opt et .txt sont encodés en UTF-8 afin d'être multi plateforme

- amélioration de l'impression

- possibilité d'exporter la simulation en PNG et JPG

- possibilité de limiter le nombre de segments pour chaque rayon lumineux

- Attention: ceci est une version bêta; en raison du travail de réécriture très important, il y a surement des bugs résiduels, merci de me les signaler.

- Version 1.32 du 03/01/2010: permet de limiter le nombre maximal de segments que peut avoir un rayon lumineux; le choix se fait sur la fenêtre de création de la simulation; permet d'avoir la cardioïde qu'on voit au fond d'une tasse ou d'une casserolle (exemple rajouté dans "exemples classiques"); augmentation du nombre maximal de rayons lumineux par source (ponctuelle ou plane) à 500

- Version 1.31 du 16/02/2009: amélioration du tracé des miroirs coniques en cas de zoom

- Version 1.30 du 14/11/2008: possibilité d'afficher les coordonnées des extrémités des segments

-Linux uniquement: version 1.27 du 01/01/2008: possibilité d'ouvrir une simulation depuis la ligne de commande

-Linux uniquement: version 1.26 du 20/03/2005: ajout d'une fonction d'exportation du graphe aux formats PNG, JPEG et BMP; et la copier-coller devrait théoriquement mieux fonctionner...

- Version 1.25 du 28/10/2004: OptGeo passe au libre ! Il est désormais disponible sous license GNU GPL. Les sources sont disponibles, et modifiables sous les termes de la license GNU GPL.

- Linux uniquement: version 1.24.1 du 16/10/2004: correction d'un bug qui lors du premier lancement de Optgeo signalait l'inexistence du repertoire /home/moimoi (résidu malheureux d'un essai...)

- Version 1.24 du 06/10/2004: ajout d'un menu permettant d'ouvrir depuis le dernier répertoire utilisé; correction d'un bug pouvant survenir fugitivement lors de la suppression d'un miroir cônique; correction d'un bug sur l'affichage des angles de réfraction.

- Version 1.23 du 01/10/2004: corrige un autre bug de tracé des polyhèdres qui pouvait donner une erreur "division par zéro"; ajoute de la prise en compte des modifications d'empennage et de couleur de fond dans la fonction Annuler/Rétablir; correction d'un bug de modification de police quand on modifie un texte; correction du bug de disparition de commentaire en cas d'utilisation de la fonction Annuler/Rétablir.

- Version 1.22 du 26/09/2004: corrige un bug de tracé avec les polyhèdres (rayons réfléchis pas toujours affichés).

- Version 1.21 du 21/09/2004: amélioration de la fonction d'annulation; correction d'un bug dans l'affichage du répertoire des boites dialogues d'ouverture de fichier; ajout de la possibilité de modifier le répertoire perso de simulation; pour la version Linux, le niveau d'annulation passe bien à 50 (il était bêtement à 4 dans la version 1.20).

- Version 1.20 du 17/09/2004: ajout d'une fonction d'annulation/rétablissement à 50 niveaux.

- Version 1.10 du 22/10/2003

- possibilité d'aligner les points sur une même verticale verticale ou horizontale avec les touches Alt et Ctrl (documenté dans l'aide)

- possibilité redimensionner l'espace de travail en cours de simulation

- possibilité de configurer les répertoires de simulation

- possibilité de changer la couleur de fond de la simulation

- on peut désormais fixer la position et la taille de l'empennage des rayons

- les attributs par défaut des éléments peuvent être réglés, et cette configuration peut être enregistré sur disque

Merci au collègue (il se reconnaîtra) qui m'a suggéré toutes ces améliorations !

- Version 1.05 du 17/05/2003:
- ajout de la possibilité de grouper des éléments pour pouvoir les translater ensemble
- possibilité d'associer les fichiers .opt à OptGeo pour pouvoir les ouvrir directement par double-clic
- correction d'un bug qui empêchait les sauvegardes des objets "mesures de distance"

- Version 1.04 du 02/05/2003:
- ajout d'un objet "oeil stylisé"
- le déinstalleur automatique remarche !

- Version 1.03: ajout d'un objet "trait" qui permet de rajouter trait, fléche,... sur la simulation (objet inerte du point de vue optique); ajout d'une liste de matériau pour les régions réfractantes, qui évite la saisie des indices à la main (mais c'est toujours possible bien-sûr); la fenêtre des commentaires reste réduite à l'ouverture d'une simulation si le commentaire est vide; affichage du nom de la simulation dans le bandeau de la fenêtre du logiciel.; correction d'un bug qui empêchait la visualisation des bords des lentilles épaisses en cours de construction; ajout de nombreux exemples rangés par catégories.

- Version 1.02: rajoute la possibilité de translater l'objet "mesure de distance", et l'interface subit des améliorations cosmétiques mineures.

- Version 1.01: corrige quelques bugs dans les boutons de l'interface, et améliore un peu l'ergonomie du logiciel.

Compatibilité des fichiers de simulation (.opt)

- Les dernières versions de Optgeo utilisent l'encodage en UTF8. Il se peut que de vieux fichiers .doz encodés en ANSI ne puissent être relus par Optgeo.

- Solution dans ce cas: ouvrir le fichier .doz avec Notepad++, convertir en "UTF8 sans BOM", sauver; le fichier devrait ensuite être lisible.

Désinstallation des versions Windows

Versions postérieures à la 1.10 La désinstallation par Ajout/Suppression de programmes ne supprime pas le répertoire d'installation d'OptGeo; si on installe une nouvelle version dans le même répertoire, la configuration d'OptGeo sera conservée. Si on veut repartir de zéro, supprimer le répertoire d'installation.

Versions antérieures à la 1.04Suite à un bug d'InstallShield, les versions antérieures à la 1.04 ne peuvent pas être désinstallées en passant par Panneau de configuration, Ajout/Suppression de programmes. Pour désinstaller ces versions, procéder de la façon suivante:
- supprimer le répertoire d'installation d'OptGeo (en général: c:\Program Files\OptGeo, à vérifier); attention si vous y avez sauvegardé des fichiers .opt, mettez les ailleurs avant !
- supprimer le raccourci dans le menu Démarrer: pour cela, aller dans le menu Démarrer, OptGeo, clic droit, Supprimer.

Le problème ne se pose plus à partir de la 1.04.

Installation réseau (modifié le 21/09/2004)

Si vous êtes en réseau, avec un serveur, il est inutile de faire l'install sur tous les postes. Faites l'install à partir d'une station, sur un lecteur réseau mappé sur un répertoire du serveur (exemple: académie de Toulouse, réseau d'établissement sous Magret, faire l'install dans j:\optgeo où j: est associé à Winappli du serveur).Lancer un première fois Optgeo; il demande le répertoire des exemples: on peut laisser celui proposé (j:\optgeo\exemples), ce qui évitera que les élèves les modifient; il demande aussi un répertoire de configuration personnelle, qui doit être accessible en lecture, et un répertoire de simulation personnelles: lui mettre par exemple p:\travail\monoptgeo.

Il suffit ensuite d'avoir sur chaque station un raccourci vers le optgeo.exe (avec Magret, mettre le raccourci dans le modèle souhaité).